Subject: Re: bug#17172: 24.3.50; Timeouts when pasting from mouse

From: Paul Eggert <[email-masked]>
Date: Tue, 15 Apr 2014 09:01:46 -0700

Jan D. wrote:
> I don't think xgselect has anything to do with this.  Either a response
> comes on the X connection, or it doesn't.  It can't come anywhere else.

Although there's every chance you are right, the existing code is 
definitely buggy: if one of glib's fds is greater than xgselect's 
initial fds_lim, xgselect can inspect garbage in its masks, which can't 
be good.  There are some other glitches there too, e.g., mask bits might 
not be properly cleared if pselect times out and returns zero.

Since the patch fixes bugs (even if not *this* bug) I installed it as 
emacs-24 bzr 116966.

And thanks, Eli, for fixing the ChangeLog entries I inadvertently nuked. 
  I was fixing them myself but bzr is pretty slow for me.  I don't know 
how it happened; I just edited the ChangeLog file as usual with emacs-24 
Emacs.